complexType "MultipleExercise"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | notionalReference*, integralMultipleAmount?, (minimumNotionalAmount | minimumNumberOfOptions)?, (maximumNotionalAmount | maximumNumberOfOptions)?
</...>

Content Model Elements (6):

  integralMultipleAmount,
  maximumNotionalAmount (defined in MultipleExercise complexType),
  maximumNumberOfOptions (defined in MultipleExercise complexType),
  minimumNotionalAmount (defined in PartialExercise.model group),
  minimumNumberOfOptions (defined in PartialExercise.model group),
  notionalReference (defined in PartialExercise.model group)

All Direct / Indirect Based Elements (2):

  multipleExercise (in americanExercise), | multipleExercise (in bermudaExercise)

Known Usage Locations

- As direct type of elements (2):

  multipleExercise (in americanExercise), | multipleExercise (in bermudaExercise)

Annotation
A type defining multiple exercises. As defining in the 2000 ISDA Definitions, Section 12.4. Multiple Exercise, the buyer of the option has the right to exercise all or less than all the unexercised notional amount of the underlying swap on one or more days in the exercise period, but on any such day may not exercise less than the minimum notional amount or more than the maximum notional amount, and if an integral multiple amount is specified, the notional exercised must be equal to or, be an integral multiple of, the integral multiple amount.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="MultipleExercise"> <xsd:sequence> <xsd:group ref="PartialExercise.model"/> <xsd:choice minOccurs="0"> <xsd:element name="maximumNotionalAmount" type="xsd:decimal"/> <xsd:element name="maximumNumberOfOptions" type="NonNegativeDecimal"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/6)
maximumNotionalAmount

  Type: | xsd:decimal, predefined, simple content

  The maximum notional amount that can be exercised on a given exercise date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="maximumNotionalAmount" type="xsd:decimal"/>

maximumNumberOfOptions

  Type: | NonNegativeDecimal, simple content

  The maximum number of options that can be exercised on a given exercise date. If the number is not specified, it means that the maximum number of options corresponds to the remaining unexercised options.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="maximumNumberOfOptions" type="NonNegativeDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.